//Algorithm for typing temperature
/*
@nestorgastly.humberto(nestorgastly.humberto@gmail.com
@Date 28/01/2022
/*****************************************************************************INCLUDE**********************************************************************************************/
#include <iostream>

using namespace std;
/*
Exercise 4
*/
//***************************************************************************FUNCTION DECLARATION**********************************************************************************
void Run();
void CollectData();
void Calculate();
void ShowResults();
/*******************************************************************MAIN*****************************************************************************************************************/
int main(){
	Run();
	return 0;
	}
//***********************************************************************GLOBAL VARIABLE*********************************************************************************************************
	double celsius; //Grados celsius
	double fahrenheit; //Grados fahrenheit
	double pulgadas; //Pulgadas
	double mm; //Milimetros
/********************************************************************FUNCTION DEFINITION**********************************************************************************************************/
void Run(){
	CollectData();
	Calculate();
	ShowResults();
}
//======================================================================================================================================================================================
void CollectData(){
	cout<<">Inserte la temperatura actual (en Celsius): ";
	cin>>celsius;
	cout<<"\n\r>Inserte la cantidad de agua (en pulgadas): ";
	cin>>pulgadas;
}
//===================================================================================================================================================================================
void Calculate() {
	fahrenheit = (celsius+32)*9 / (5);
	mm = (pulgadas)*(25.5);
}
//=========================================================================================================================================================================================================================	
void ShowResults(){
	cout<<"La temperatura actual es: "<<fahrenheit <<"F"<<endl;
	cout<<"La cantidad de agua actual es de: "<<mm<<" mm"<<endl;
}
